/*
 *   COPYRIGHT NOTICE: This code was written by Markus Mummert. All
 *   rights reserved. FOR LICENCE TERMS, SEE ACCOMPANYING FILE "LICENCE".
 */
/************************************************************************/
/*									*/
/*  Datei    :	FILTFLP.H - Import/Export-Datei zu -> FILTFLP.C		*/
/*  Version  :	8.8.98/10						*/
/*  Autor    :	Markus Mummert						*/
/*									*/
/************************************************************************/

#ifndef FILTFLP_INCLUDED		/* Schutz vor mehrfach-include	*/
#define FILTFLP_INCLUDED

/*----------------------------------------------------------------------*/
/*  Import :								*/
/*----------------------------------------------------------------------*/

					
/*----------------------------------------------------------------------*/
/*  Import exclusiv fuer Source :					*/
/*----------------------------------------------------------------------*/

#ifdef FILTFLP_SOURCE
#include <math.h>
#endif

/*----------------------------------------------------------------------*/
/*  Export :								*/
/*----------------------------------------------------------------------*/

#define MAXZ		16		/* Max. Anzahl Zustandsspeicher	*/
#define MAXG		16		/* Max. Anzahl UeF-Nennerkoef.	*/
#define MAXD		16		/* Max. Anzahl UeF-Zaehlerkoef.	*/
					/* !!! filterparms() und filte-	*/
					/* ring() muessen dies beachten	*/
					/* (Beachte auch Speicherbedarf	*/
					/* bei rufendem Programm)	*/

					/* Filtertypentabellen-		*/
					/* eintragstyp (aechz!)		*/
typedef struct {
	int FTYPCODE;			/* Code				*/
	char *FTYPABR;			/* Kurzname			*/
	char *FTYPNAME;			/* Name				*/
} FTYPTABENTRY;

extern FTYPTABENTRY g_ftyptab[];	/* Filtertypentabelle		*/
extern double filterparms();		/* Filterparameter berechnen	*/
extern filtering();			/* Filter rechnen		*/


#endif					/* FILTFLP_INCLUDED		*/
/*******Dateiende********************************************************/
